debugserver_client_free
debugserver_client_new
debugserver_client_receive
debugserver_client_receive_response
debugserver_client_receive_with_timeout
debugserver_client_send
debugserver_client_send_command
debugserver_client_set_ack_mode
debugserver_client_set_argv
debugserver_client_set_environment_hex_encoded
debugserver_client_set_receive_params
debugserver_client_start_service
debugserver_client_t
debugserver_command_free
debugserver_command_new
debugserver_command_t
debugserver_decode_string
debugserver_encode_string
debugserver_error_t
DEBUGSERVER_SECURE_SERVICE_NAME
DEBUGSERVER_SERVICE_NAME

## debugserver_command_new()

LIBIMOBILEDEVICE_API debugserver_error_t debugserver_command_new | ( | const char * | name,
|  | int | argc,
|  | char * | argv[],
|  | debugserver_command_t * | command )

Creates and initializes a new command object.

Parameters

  name | The name of the command which is sent in plain text
  argv | Array of tokens for the command ment to be encoded
  argc | Number of items in the token array
  command | New command object

Returns
  DEBUGSERVER_E_SUCCESS on success, DEBUGSERVER_E_INVALID_ARG when name or command is NULL